{% extends 'property_vacancy_management/building_unit/building_unit.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/property_user/remove') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/property_user/remove') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('property_vacancy_management_building_unit_property_user_edit', {'buildingUnitId': buildingUnit.getId(), 'propertyUserId': propertyUser.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">{{ propertyUser.getPerson().buildDisplayName() }} als Nutzer entfernen</span>
        {% if is_granted('edit', buildingUnit) == true %}
            {{ form_widget(propertyUserRemoveForm.remove, {'label': 'NUTZER ENTFERNEN', 'id': propertyUserRemoveForm.remove.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading delete-button ms-auto align-self-center'}}) }}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-4">
            <h1 class="fs-4 d-flex align-items-center mb-3">
                <span class="material-icons me-2 text-danger">warning_amber</span>
                Der untenstehende Nutzer wird entfernt.
            </h1>
            <p>Beim Entfernen wird nicht der zugehörige Kontakt aus der Kontaktverwaltung gelöscht, es gehen aber alle untenstehenden Daten, wie beispielsweise der der Status des Nutzungsverhältnisses verloren.</p>
            <p>Alternativ kann es sinnvoll sein, den Nutzer nicht zu entfernen, sondern als ehemaligen Nutzer zu setzen.</p>
            <p>
                Um den Nutzer zu entfernen, müssen Sie zuerst den folgenden Code eingeben:
                <span class="delete-code">nutzer_{{ propertyUser.getId() }}</span>
            </p>
            {{ form_start(propertyUserRemoveForm, {'attr': {'id': propertyUserRemoveForm.vars.id ~ '_form'}}) }}
            {% include 'property_vacancy_management/form/property/delete_form.html.twig' with {'form': propertyUserRemoveForm} only %}
            {{ form_row(propertyUserRemoveForm._token) }}
            {{ form_end(propertyUserRemoveForm, {'render_rest': false}) }}
        </div>
        <div class="mdc-card mb-4 p-4">
            {% include 'property_vacancy_management/form/property/property_user_form.html.twig' with {'form': propertyUserForm} only %}
        </div>
    </div>
{% endblock %}
